Bug 1462493

Summary: Add patch for VAAPI support
Product: [Fedora] Fedora Reporter: Patrick Griffis <tingping>
Component: chromiumAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: akarshan.biswas, bruce, dominik, ego.cordatus, pmenzel+bugzilla.redhat.com, tcallawa, yaneti
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 17:29:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Patrick Griffis 2017-06-18 05:26:48 UTC
Chromium by default only enables VAAPI support on ChromeOS even though it is functional on desktop Linux and can be enabled with a patch.

The value of enabling VAAPI support is better battery life on mobile devices and smoother playback on low end devices.

Chromium patch: https://aur.archlinux.org/cgit/aur.git/tree/vaapi_patch_r2.patch?h=chromium-vaapi
Upstream bug: https://bugs.chromium.org/p/chromium/issues/detail?id=463440

Comment 1 Tom "spot" Callaway 2017-08-08 21:12:42 UTC
That's a pretty big patch that upstream doesn't want to take. Is it really worth the hassle?

Comment 2 Patrick Griffis 2017-08-08 22:57:49 UTC
It might be large but it shouldn't be overly complex, it is just changing `if chromeos` to `if chromeos or linux` basically.

Anyway upstream seems to be making progress on getting this merged: https://chromium-review.googlesource.com/c/532294

Comment 3 Tom "spot" Callaway 2017-08-14 15:15:02 UTC
I think the best plan of action is to wait for this to merge upstream.

Comment 4 Jan Kurik 2017-08-15 06:25:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 5 Ben Cotton 2018-11-27 16:33:29 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Tom "spot" Callaway 2018-11-27 21:20:12 UTC
Upstream has no plan to merge this patch:

  This is not something we're interested in maintaining upstream. 
  https://bugs.chromium.org/p/chromium/issues/detail?id=463440#c68 explains the 
  rationale.

  We're already struggling just supporting the massive variety of GPU/driver 
  combination (and their bugs) across distributions (and users tinkering with 
  them), we don't have the manpower to deal with yet another layer of failure 
  points. Users get *really* angry when videos don't play / crash etc.

So, I'm torn. This patch is relatively straightforward from a "doesn't change much" perspective, and the upside could be significant for some users... but it enables code that is not tested on Linux, upstream will not support, and I have no particular expertise in... there are no bugs against the chromium-vaapi package in rpmfusion, but that's not saying anything.

Given that SuSE ships it though, I'm inclined to do so as well. I'm going to toss it into rawhide for now, and let people test it there first.

Comment 7 Dominik 'Rathann' Mierzejewski 2018-11-28 23:36:51 UTC
Yay! I have VAAPI capable hardware, so I can test updates (not rawhide though). And yes, I'm aware of upstream position and I'm subscribed to the linked bug.

Comment 8 Ben Cotton 2018-11-30 17:29:14 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Tom "spot" Callaway 2018-11-30 18:46:52 UTC
This is in rawhide, seems to work fine (tested it on a youtube video, confirmed GpuVideoDecoder used. I'll push it to stable branches on the next chromium update.

Comment 10 Akarshan Biswas 2018-12-03 06:52:49 UTC
@Tom The only bug on chromium-vaapi is on wayland which I'm working on. This is generally an intel driver bug. Please see https://github.com/biswasab/chromium-vaapi/issues/7. I am trying to enable ozone wayland support so that chromium can access the intel driver on wayland.